Skip to main content
POST
/
v3
/
stores
/
{store_id}
/
public
/
checkout
/
shipping-options
List guest checkout shipping options
curl --request POST \
  --url https://api.scalev.com/v3/stores/{store_id}/public/checkout/shipping-options \
  --header 'Content-Type: application/json' \
  --header 'X-Scalev-Storefront-Api-Key: <x-scalev-storefront-api-key>' \
  --data '
{
  "items": [
    {
      "type": "variant",
      "variant_id": 2,
      "quantity": 50
    }
  ],
  "payment_method": "bank_transfer"
}
'
{
  "data": [
    {
      "courier_service_id": 123,
      "courier_code": "jne",
      "service_code": "REG",
      "name": "Regular",
      "cost": "<string>",
      "etd": "<string>",
      "is_cod": true,
      "warehouse_unique_id": "<string>",
      "courier_aggregator_code": "<string>",
      "logo_url": "<string>"
    }
  ],
  "is_paginated": false
}

Headers

X-Scalev-Storefront-Api-Key
string
required

Publishable storefront public API key for the target store. Page public API keys are not accepted on Storefront public routes.

X-Scalev-Guest-Token
string<uuid>

Browser-safe guest cart token returned by the first guest-cart response when no token is sent. Send it on later guest-cart and public checkout calls to keep the same cart after reloads.

Path Parameters

store_id
string
required

Store unique_id.

Body

application/json
items
object[]

Optional direct item source. If supplied, these items are used for the shipping-options calculation. Otherwise the guest cart referenced by X-Scalev-Guest-Token is used.

Required array length: 1 - 50 elements
destination
object
payment_method
string
Example:

"bank_transfer"

Response

Guest checkout shipping options

data
object[]
required
is_paginated
enum<boolean>
required
Available options:
false